- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QScrollBar Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qscrollbar.h.

`#include <qscrollbar.h>`

Inheritance diagram for QScrollBar:
[legend]

List of all members.

## Public Member Functions
| QScrollBar (QWidget *parent=0)
| QScrollBar (Qt::Orientation, QWidget *parent=0)
| ~QScrollBar ()
QSize | sizeHint () const
bool | event (QEvent *event)
## Protected Member Functions
void | paintEvent (QPaintEvent *)
void | mousePressEvent (QMouseEvent *)
void | mouseReleaseEvent (QMouseEvent *)
void | mouseMoveEvent (QMouseEvent *)
void | hideEvent (QHideEvent *)
void | sliderChange (SliderChange change)
void | contextMenuEvent (QContextMenuEvent *)
void | initStyleOption (QStyleOptionSlider *option) const
## Friends
Q_GUI_EXPORT QStyleOptionSlider | qt_qscrollbarStyleOption (QScrollBar *scrollBar)

## Constructor & Destructor Documentation

QScrollBar | ( | QWidget * | parent = `0` | ) | `[explicit]`

QScrollBar | ( | Qt::Orientation | ,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QScrollBar | ( |  | ) |

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool event | ( | QEvent * | event | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractSlider.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseReleaseEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void hideEvent | ( | QHideEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void sliderChange | ( | SliderChange | change | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSlider.

void contextMenuEvent | ( | QContextMenuEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void initStyleOption | ( | QStyleOptionSlider * | option | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

Q_GUI_EXPORT QStyleOptionSlider qt_qscrollbarStyleOption | ( | QScrollBar * | scrollBar | ) | `[friend]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qscrollbar.h

QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar
QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar QScrollBar